GitHub Trending Developers API

Get GitHub trending developers. Supports language and daily/weekly/monthly range filters.

1 creditper request
GET
/v1/github/trending/developers
curl "https://api.scrapecreators.com/v1/github/trending/developers" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 49997683964,
  "since": "daily",
  "language": null,
  "developers": [
    {
      "rank": 1,
      "username": "koala73",
      "name": "Elie Habib",
      "url": "https://github.com/koala73",
      "avatar_url": "https://avatars.githubusercontent.com/u/996596?s=96&v=4",
      "popular_repository": {
        "owner": "koala73",
        "repo": "worldmonitor",
        "full_name": "koala73/worldmonitor",
        "url": "https://github.com/koala73/worldmonitor",
        "name": "worldmonitor",
        "description": "Real-time global intelligence dashboard. AI-powered news aggregation, geopolitical monitoring, and infrastructure tracking in a unified s…"
      }
    },
    {
      "rank": 2,
      "username": "sonichi",
      "name": "Chi Wang",
      "url": "https://github.com/sonichi",
      "avatar_url": "https://avatars.githubusercontent.com/u/4250911?s=96&v=4",
      "popular_repository": {
        "owner": "sonichi",
        "repo": "sutando",
        "full_name": "sonichi/sutando",
        "url": "https://github.com/sonichi/sutando",
        "name": "sutando",
        "description": "My AI Stand. Realtime by day, rewriting itself by night. Summon my AI superpower."
      }
    }
  ]
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

language
string

Optional trending coding language, e.g. javascript, python, or go.

Example:
javascript
since
string

Trending range: daily, weekly, or monthly. Defaults to daily.

Example:
daily
Available options:
daily,
weekly,
monthly